ZenLib::ZtringListListF Class Reference

ZtringListList with file management. More...

`#include <ZtringListListF.h>`

Inheritance diagram for ZenLib::ZtringListListF:

## Public Member Functions

| ZtringListListF ()
| ZtringListListF (const ZtringListList &Source)
| ZtringListListF (const Ztring &Source)
| ZtringListListF (const Char *Source)
bool | Load (const Ztring &FileName=Ztring())
bool | Save (const Ztring &FileName=Ztring())
bool | Cancel ()
void | Backup_Set (bool Save)
void | Backup_Count_Set (int8u Count)
void | Local_Set (bool Local)
Public Member Functions inherited from ZenLib::ZtringListList
| ZtringListList ()
| ZtringListList (const ZtringListList &Source)
| ZtringListList (const Ztring &Source)
| ZtringListList (const Char *Source)
bool | operator== (const ZtringListList &Source) const
bool | operator!= (const ZtringListList &Source) const
ZtringListList & | operator+= (const ZtringListList &Source)
ZtringListList & | operator= (const ZtringListList &Source)
ZtringList & | operator() (size_type Pos0)
| Same as [], but write a empty string if Pos doesn't exist yet.
Ztring & | operator() (size_type Pos0, size_type Pos1)
Ztring & | operator() (const Ztring &Pos0, size_type Pos1=1)
| Return [Pos][Pos1], Pos=First occurency of Pos0 in [xxx][0].
Ztring & | operator() (const Ztring &Pos0, size_type Pos0_1, size_type Pos1)
| Return [Pos][Pos1], Pos=First occurency of Pos0 in [xxx][Pos0_1].
Ztring | Read () const
| Read all.
Ztring | Read (size_type Pos0) const
| Read a vector of string.
const Ztring & | Read (size_type Pos0, size_type Pos1) const
| Read a string.
const Ztring & | Read (const Ztring &Pos0, size_type Pos1=1) const
| Return [Pos][Pos1], Pos=First occurency of Pos0 in [xxx][0].
const Ztring & | Read (const Ztring &Pos0, size_type Pos0_1, size_type Pos1) const
| Return [Pos][Pos1], Pos=First occurency of Pos0 in [xxx][Pos0_1].
const Ztring & | Read (const Ztring &Pos0, const Ztring &Default, size_type Pos1=1) const
| Return [Pos][Pos1], Pos=First occurency of Pos0 in [xxx][0], with default value.
const Ztring & | Read (const Ztring &Pos0, const Ztring &Default, size_type Pos0_1, size_type Pos1) const
| Return [Pos][Pos1], Pos=First occurency of Pos0 in [xxx][Pos0_1], with default value.
Ztring | Read1 (size_type Pos1) const
| Read all strings at position Pos1.
void | Write (const Ztring &ToWrite)
| Write all.
void | Write (const ZtringList &ToWrite, size_type Pos0)
| Write a vector of string.
void | Write (const Ztring &ToWrite, size_type Pos0, size_type Pos1)
| Write a vector of string.
void | push_back (const ZtringList &ToAdd)
| Add a vector of string.
void | push_back (const Ztring &ToAdd)
| Add a vector of string (with separator is ZtringListList Separator).
void | push_back (const Char *ToAdd)
| Add a vector of string (Char version).
void | Insert (const ZtringList &ToInsert, size_type Pos0)
| Insert a vector of string at position Pos0.
void | Insert1 (const Ztring &ToInsert, size_type Pos1)
| Insert a string at all positions Pos1.
void | Delete (size_type Pos0)
| Delete a vector of string at position Pos0.
void | Delete (const Ztring &ToFind, size_type Pos1=0, const Ztring &Comparator=__T("=="), ztring_t Options=Ztring_Nothing)
| Delete all vectors of string, with [xxx][Pos1] == ToFind.
void | Delete1 (size_type Pos1)
| Delete a string at all positions Pos1.
void | Swap (size_type Pos0_A, size_type Pos0_B)
| Swap 2 positions.
void | Swap1 (size_type Pos1_A, size_type Pos1_B)
| Swap 2 columns for each line.
void | Sort (size_type Pos1, ztring_t Options=Ztring_Nothing)
| Sort.
size_type | Find (const Ztring &ToFind, size_type Pos1=0, size_type Pos0Begin=0) const
| Find the first position of the string in the vector of vector, in a specific column.
size_type | Find_Filled (size_type Pos1=0, size_type Pos0Begin=0) const
| Find the first position of the string in the vector of vector, in a specific column, which is not empty.
size_type | Find (const Ztring &ToFind, size_type Pos1, size_type Pos0Begin, const Ztring &Comparator, ztring_t Options=Ztring_Nothing) const
| Find the first position of the string in the vector of vector, in a specific column.
Ztring | FindValue (const Ztring &ToFind, size_type Pos1Value=1, size_type Pos1=0, size_type Pos0Begin=0, const Ztring &Comparator=__T("=="), ztring_t Options=Ztring_Nothing) const
| Return [xxx][Pos1Value] when founded the first position of the string in the vector of vector, in a specific column.
ZtringListList | SubSheet (const Ztring &ToFind, size_type Pos1=0, size_type Pos0Begin=0, const Ztring &Comparator=__T("=="), ztring_t Options=Ztring_Nothing) const
| Return a subsheet, with all lines with position of the string in the vector of vector, in a specific column.
void | Separator_Set (size_type Level, const Ztring &NewSeparator)
| Set the Separator character.
void | Quote_Set (const Ztring &NewQuote)
| Set the Quote character During Read() or Write() method, if Separator is in the sequence, we must quote it.
void | Max_Set (size_type Level, size_type Max)
| Set the Maximum number of element to read During Read() or Write() method, if there is more elements, merge them with the last element.

## Protected Member Functions

bool | CSV_Charger ()
bool | CFG_Charger ()
bool | CSV_Sauvegarder ()
bool | CFG_Sauvegarder ()
bool | File_Load ()
bool | NettoyerEspaces (Ztring &ANettoyer)

## Protected Attributes

Ztring | Name
bool | Sauvegarde
int8u | Backup_Nb_Max
int8u | Backup_Nb
bool | Local
Protected Attributes inherited from ZenLib::ZtringListList
Ztring | Separator [2]
Ztring | Quote
size_type | Max [2]

## Detailed Description

ZtringListList with file management.

## Constructor & Destructor Documentation

## ZtringListListF() [1/4]

ZenLib::ZtringListListF::ZtringListListF | ( |  | ) |

## ZtringListListF() [2/4]

ZenLib::ZtringListListF::ZtringListListF | ( | const ZtringListList & | Source | ) |

References ZenLib::ZtringListList::ZtringListList().

## ZtringListListF() [3/4]

ZenLib::ZtringListListF::ZtringListListF | ( | const Ztring & | Source | ) |

## ZtringListListF() [4/4]

ZenLib::ZtringListListF::ZtringListListF | ( | const Char * | Source | ) |

## Member Function Documentation

## Backup_Count_Set()

void ZenLib::ZtringListListF::Backup_Count_Set | ( | int8u | Count | ) |

## Backup_Set()

void ZenLib::ZtringListListF::Backup_Set | ( | bool | Save | ) |

References Save().

## Cancel()

bool ZenLib::ZtringListListF::Cancel | ( |  | ) |

## CFG_Charger()

bool ZenLib::ZtringListListF::CFG_Charger | ( |  | ) |

protected

## CFG_Sauvegarder()

bool ZenLib::ZtringListListF::CFG_Sauvegarder | ( |  | ) |

protected

## CSV_Charger()

bool ZenLib::ZtringListListF::CSV_Charger | ( |  | ) |

protected

## CSV_Sauvegarder()

bool ZenLib::ZtringListListF::CSV_Sauvegarder | ( |  | ) |

protected

## File_Load()

bool ZenLib::ZtringListListF::File_Load | ( |  | ) |

protected

## Load()

bool ZenLib::ZtringListListF::Load | ( | const Ztring & | FileName = Ztring() | ) |

## Local_Set()

void ZenLib::ZtringListListF::Local_Set | ( | bool | Local | ) |

References Local.

## NettoyerEspaces()

bool ZenLib::ZtringListListF::NettoyerEspaces | ( | Ztring & | ANettoyer | ) |

protected

## Save()

bool ZenLib::ZtringListListF::Save | ( | const Ztring & | FileName = Ztring() | ) |

Referenced by Backup_Set().

## Member Data Documentation

## Backup_Nb

int8u ZenLib::ZtringListListF::Backup_Nb

protected

## Backup_Nb_Max

int8u ZenLib::ZtringListListF::Backup_Nb_Max

protected

## Local

bool ZenLib::ZtringListListF::Local

protected

Referenced by Local_Set().

## Name

Ztring ZenLib::ZtringListListF::Name

protected

## Sauvegarde

bool ZenLib::ZtringListListF::Sauvegarde

protected

The documentation for this class was generated from the following file:

- ZtringListListF.h